Damn Small Linux (DSL) Forums
Welcome, Guest. Please login or register.
Did you miss your activation email?
July 28, 2014, 02:27:35 PM

Login with username, password and session length
News
The new DSL forums are now open.
Stats
297632 Posts in 294144 Topics by 200 Members
Latest Member: baber98
Search:     Advanced search
* Home Help Search Login Register
Get The Official Damn Small Linux Book. Great VPS hosting provided by Tektonic

+  Damn Small Linux (DSL) Forums
|-+  Damn Small Linux
| |-+  Other Help Topics
| | |-+  Firefox on DSL 4.11
« previous next »
Pages: [1] Print
Author Topic: Firefox on DSL 4.11  (Read 2333 times)
cuthbia
Newbie
*
Posts: 1


View Profile Email
« on: September 17, 2012, 04:20:32 PM »

 Huh Hi!
      I have  created a live CD with DSL 4.11 that I have been trying out on a Dell Dimension XPS M200s, 200MHz Intel i586 and 64MB memory. I have a cable connection to the Net via a Netgear VMDG280 modem/router supplied by the ISP. The PC is connected by an Ethernet cable.  The Dell was purchased around 1997 and ran Win 98SE for ages. I intend to make DSL resident on HD as Win 98 is pretty much a dead duck but the machine itself is perfectly serviceable.

      The system boots OK even if a little erratic, mostly due to my newbie status with Linux; I had 15 years with UNIX four of them as Superuser, the rest as a freelance usually in a support role. My problem came when I tried to start Firefox - the system just hung though the light on the CD drive blinked a lot, indicating some sort of activity. I did some checking and eventually found that eth0 status was CONNECTED and I could ping outside sites.  Clearly the connection was OK; I was (still am) puzzled that the LED for the connection on the modem glows yellow, all the other lights glow green.

      I took the CD out of the Damn Small Linux book and booted DSL 3.3 from it. With this running I was able to call up Firefox without any trouble and I could access an outside site satisfactorily.

      It would seem to me that the Firefox on my 4.11 is probably at fault - but where? How can I put put it right? Which version of Firefox is it anyway? Has it been shrunk to fit, so that it is non-standard? Firefox is now up to Ver. 15; I can download it but can I use Ver. 15 to replace the existing Firefox and how do I go about it?

      Help! anyone got any ideas? Please let me know.   Roll Eyes
Logged
botdfismyaddiction
Newbie
*
Posts: 16


View Profile
« Reply #1 on: September 29, 2012, 02:28:21 AM »

Firefox is now up to Ver. 15; I can download it but can I use Ver. 15 to replace the existing Firefox and how do I go about it?

I am not that skilled, but I know that FF15 won't run on a machine that old, and I think it would take more, newer (read: bigger) libraries...
Logged
CNK
Full Member
***
Posts: 138


View Profile
« Reply #2 on: September 29, 2012, 09:30:24 AM »

64MB RAM is quite small for Firefox even though the processor should be fast enough. I think I can remember trying to load Firefox in DSL running with 32MB RAM on a Pentium 1 and had a similar experience with the CD access and slow loading time. I think that time I left it going while I did something else and by the time I came back it was loaded, so perhaps it might pay to give it some ridiculous amount of time.

Now I have 81MB RAM in that machine and a HDD install, Firefox loads in an almost bearable time but isn't really useable on a 120MHz Pentium 1.

However it could perhaps also be an issue with the disc you burned so it might be worth verifying that just in case.

As for installing newer versions of Firefox in DSL, check the archive of the old forum. I'm not sure if anyone got a post Firefox 2 version to work but if they did it would have been a struggle.
Logged
John
Administrator
Jr. Member
*****
Posts: 52


View Profile WWW
« Reply #3 on: September 30, 2012, 01:37:09 AM »

The version of FF that is in DSL is the last available which is compatible with GTK1.2, anything newer will require GTK2 and related dependencies.   The lib requirements go up quite a bit.  I am in the process of mapping out a bigger DSL with a larger, more modern lib base for those who want something a little more modern/larger.
Logged
Laptop98
Newbie
*
Posts: 10


View Profile
« Reply #4 on: April 15, 2013, 02:02:19 PM »

Firefox is RAM hungry, 64mb is not enough for FF. I use Opera 9.25.uci from MyDSL. Opera can function in less RAM than FF. With 64mb Opera is useable depending on how bloated the websites are. Without the swapfile and in 64mb of RAM, Opera starts to slow down after about 40mins of surfing. But if you enable the swap file, then you can run Opera 9.25.uci and browse the internet for hours just fine.

I have to use a Knoppix 5.1 CD to create the swapfile however. The DSL version I'm using just gives an error message whenever I try to create the swap file. But it can use the swap file created by Knoppix 5.1 OK.
Logged
Pages: [1] Print 
« previous next »
Jump to:  

Powered by SMF 1.1.19 | SMF © 2013, Simple Machines
Mercury design by Bloc